import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:syncrow_app/features/devices/bloc/devices_cubit.dart';
import 'package:syncrow_app/features/devices/view/widgets/ACs/category_view_app_bar.dart';
import 'package:syncrow_app/features/devices/view/widgets/curtains/curtain_list.dart';
import 'package:syncrow_app/features/shared_widgets/default_scaffold.dart';

class CurtainListView extends StatelessWidget {
  const CurtainListView({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<DevicesCubit, DevicesState>(
      builder: (context, state) {
        return const DefaultScaffold(
          appBar: CategoryViewAppBar(
            title: '',
          ),
          child: CurtainList(),
        );
      },
    );
  }
}
